| Earth Observation Mission CFI Software Lib Software User Manual |

Public Member Functions

# EECFI::ModelId Class Reference

Base class for ModelId objects. More...

Inheritance diagram for EECFI::ModelId:

List of all members.

## Public Member Functions
| ModelId ()
| Class constructor (default models).
| ModelId (long mode, vector< long > &models) throw (CfiError)
| Class constructor with models.
| ~ModelId () throw (CfiError)
| Class destructor.
void | init (long mode, vector< long > &models) throw (CfiError)
| Init model id.
bool | status () const
| Overwrite method of CfiId, since some additional check is performed.
ModelData | getData ()
| Get Model data.

## Detailed Description

Base class for ModelId objects.

## Constructor & Destructor Documentation

EECFI::ModelId::ModelId | ( |  | ) |

Class constructor (default models).

EECFI::ModelId::ModelId | ( | long | mode,
|  | vector< long > & | models |
| ) |  |  | throw (CfiError)

Class constructor with models.

Parameters:

  | mode | Initialization mode (ModelSetsEnum).
  | models | Initalization models.

EECFI::ModelId::~ModelId | ( |  | ) | throw (CfiError)

Class destructor.

References status(), EECFI::CfiId::subtractInstance(), and EECFI::CfiClass::throwWarn.

## Member Function Documentation

ModelData EECFI::ModelId::getData | ( |  | ) |

Get Model data.

Returns:
  Model data.

References EECFI::ModelData::constantsModel, EECFI::ModelData::earthModel, EECFI::ModelData::ecc, EECFI::ModelData::flat, EECFI::ModelData::gcoef0, EECFI::ModelData::gcoef1, EECFI::ModelData::gcoef2, EECFI::ModelData::gcoefSim0, EECFI::ModelData::gcoefSim1, EECFI::ModelData::gcoefSim2, EECFI::ModelData::j2, EECFI::ModelData::j3, EECFI::ModelData::j4, EECFI::ModelData::lightPropagationModel, EECFI::ModelData::majorAxis, EECFI::ModelData::minorAxis, EECFI::ModelData::moonModel, EECFI::ModelData::mu, EECFI::ModelData::nutationModel, EECFI::ModelData::planetModel, EECFI::ModelData::precessionModel, EECFI::ModelData::re, EECFI::ModelData::starModel, and EECFI::ModelData::sunModel.

void EECFI::ModelId::init | ( | long | mode,
|  | vector< long > & | models |
| ) |  |  | throw (CfiError)

Init model id.

Parameters:

  | mode | Initialization mode (ModelSetsEnum).
  | models | Initalization models.

References EECFI::CfiError::addMsg().

bool EECFI::ModelId::status | ( |  | ) | const

Overwrite method of CfiId, since some additional check is performed.

Returns:
  Status of object.

Referenced by ~ModelId().